import axios from 'axios';
import { ListParams, queryList } from '@/api/list';

export interface ListRecord {
  id: undefined;
  username: string;
  phone: string;
  email: string;
  enable: string;
  nickname: string;
  avater: string;
  address: string;
}

// 更新用户
export function update(data: ListRecord) {
  return axios.patch(`/api/rest/user/${data.id}`, data);
}

// 删除用户
export function remove(id: string) {
  return axios.delete(`/api/rest/role/${id}`);
}

// 模糊查询用户列表
export function queryRoles(params?: ListParams<Partial<ListRecord>>) {
  return queryList(`/api/rest/user/query`, params);
}

// 添加用户
export function addUser(params: ListRecord) {
  return axios.post('/api/rest/user/register', params);
}

// 是否启用
export function enabled(id: string) {
  return axios.patch(`/api/rest/user/${id}/toggle`);
}
