import axios from 'axios';

export interface ListRegion {
  id: undefined;
  remark: string;
  createTime: string;
  name: string;
  enabled: string;
}

// 获取区域列表
export function regionList(data: any) {
  return axios.get<ListRegion>(`/api/rest/dept?name=${data.name}&`, data);
}

// 添加区域
export function createRegion(data: ListRegion) {
  return axios.post<ListRegion>('/api/rest/dept', data);
}

// 更新区域信息
export function updateRegion(data: ListRegion) {
  return axios.patch(`/api/rest/dept/${data.id}`, data);
}

// 删除区域
export function removeRegion(id: string) {
  return axios.delete(`/api/rest/dept/${id}`);
}

// 启用状态
export function enabledRegion(id: string) {
  return axios.patch(`/api/rest/dept/toggle/${id}`);
}
