import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const CUSTOMER: AppRouteRecordRaw = {
  path: '/customer',
  name: 'customer',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.customer',
    icon: 'icon-computer',
    requiresAuth: true,
    order: 2,
  },
  children: [
    {
      path: 'manage',
      name: 'Manage',
      component: () => import('@/views/customer/manage/index.vue'),
      meta: {
        locale: 'menu.customer.manage',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
  ],
};

export default CUSTOMER;
