import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const ROLE: AppRouteRecordRaw = {
  path: '/role',
  name: 'role',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.role',
    icon: 'icon-idcard',
    requiresAuth: true,
    order: 3,
  },
  children: [
    {
      path: 'manage',
      name: 'RoleManage',
      component: () => import('@/views/role/manage/index.vue'),
      meta: {
        locale: 'menu.role.manage',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'region',
      name: 'Region',
      component: () => import('@/views/role/region/index.vue'),
      meta: {
        locale: 'menu.role.region',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
  ],
};

export default ROLE;
