import { createPinia } from 'pinia';
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';
import useAppStore from './modules/app';
import useUserStore from './modules/user';
import useTabBarStore from './modules/tab-bar';
import useCustomerStore from './modules/customer';
import useRoleStore from './modules/role';
import useRegionStore from './modules/region';

const pinia = createPinia();
pinia.use(piniaPluginPersistedstate);

export {
  useAppStore,
  useUserStore,
  useTabBarStore,
  useCustomerStore,
  useRoleStore,
  useRegionStore,
};
export default pinia;
