import { defineStore } from 'pinia';
import { queryRoles, addUser, remove, update, enabled } from '@/api/customer';
import { customerState } from './type';

const useCustomerStore = defineStore('customer', {
  state: (): customerState => ({
    current: undefined,
    pageSize: undefined,
    username: undefined,
    phone: undefined,
    email: undefined,
    enable: undefined,
    nickname: undefined,
    avater: undefined,
    address: undefined,
  }),

  getters: {
    CustomerInfo(state: customerState): customerState {
      return { ...state };
    },
  },
  actions: {
    async getUserInfo(params: any) {
      const res = await queryRoles(params);
      return res;
    },

    async addUser(params: any) {
      return addUser(params);
    },

    async deleteUser(id: string) {
      return remove(id);
    },

    async updateUser(data: any) {
      return update(data);
    },

    async enabledStatus(id: string) {
      return enabled(id);
    },
  },
});

export default useCustomerStore;
