import { defineStore } from 'pinia';
import {
  createRegion,
  regionList,
  removeRegion,
  enabledRegion,
  updateRegion,
  ListRegion,
} from '@/api/region';
import { regionStore } from './type';

const useRegionStore = defineStore('region', {
  state: (): regionStore => ({
    id: undefined,
    remark: undefined,
    createTime: undefined,
    name: undefined,
    enabled: undefined,
  }),

  getters: {
    RegionInfo(state: regionStore): regionStore {
      return { ...state };
    },
  },
  actions: {
    // 获取所有的角色列表
    async getRegionList(data: any) {
      return regionList(data);
    },

    async enabledStatus(id: string) {
      return enabledRegion(id);
    },

    async deleteRegion(id: string) {
      return removeRegion(id);
    },

    async addRegion(params: ListRegion) {
      return createRegion(params);
    },

    async updateRegion(params: ListRegion) {
      return updateRegion(params);
    },
  },
});

export default useRegionStore;
