import { defineStore } from 'pinia';
import {
  RoleList,
  getRoleList,
  enabled,
  remove,
  create,
  update,
} from '@/api/role';
import { roleState } from './type';

const useRoleStore = defineStore('role', {
  state: (): roleState => ({
    id: undefined,
    remark: undefined,
    name: undefined,
    enabled: undefined,
    authorities: undefined,
  }),

  getters: {
    RoleInfo(state: roleState): roleState {
      return { ...state };
    },
  },
  actions: {
    // 获取所有的角色列表
    async getRoleList() {
      return getRoleList();
    },

    async enabledStatus(id: string) {
      return enabled(id);
    },

    async deleteRole(id: string) {
      return remove(id);
    },

    async addRole(params: RoleList) {
      return create(params);
    },

    async updateRole(params: RoleList) {
      return update(params);
    },
  },
});

export default useRoleStore;
